%define Product CMFPlacefulWorkflow
%define product cmfplacefulworkflow
%define name    zope-%{Product}
%define version 1.2.1
%define bad_version %(echo %{version} | sed -e 's/\\./-/g')
%define release %mkrel 2

%define zope_minver     2.7
%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Name:	    %{name}
Version:    %{version}
Release:    %{release}
Summary:    A Plone product for locally changing the workflow of content types
License:    GPL
Group:      System/Servers
URL:        http://plone.org/products/%{product}
Source:     http://plone.org/products/%{product}/releases/%{version}/%{product}-%{bad_version}.tgz
Requires:   zope >= %{zope_minver}
Requires:   zope-Plone >= 2.0.5
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description 
CMF Placeful Workflow is a Plone product allowing to define workflow
policies of content types that can be applied in any sub-folder of
your Plone site.


%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%{software_home}/Products/*


%changelog
* Mon Dec 17 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.1-2mdv2007.1
+ Revision: 121627
- Fix %%description (suggested by Thierry).

* Fri Dec 14 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.1-1mdv2008.1
+ Revision: 120028
- Release 1.2.1.

* Thu Sep 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-2mdv2008.0
+ Revision: 91619
- fix dependencies

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 88547
- new version


* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.0.2-1mdv2007.0
+ Revision: 99709
- 1.0.2

* Wed Aug 09 2006 Gaëtan Lehmann <glehmann@mandriva.org> 1.0.0.final-1mdv2007.0
+ Revision: 54437
- fix release tag
- update to 1.0.0

* Tue Aug 08 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-3mdv2007.0
+ Revision: 54014
- Fix  rpmlint warnings

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - Import zope-CMFPlacefulWorkflow

* Mon Aug 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3-2mdk
- fix path on x86_64

* Tue May 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3-1mdk
- initial package

